tbb::strict_ppl::internal::tbb_remove_cv< T > Struct Template Reference

Similar to C++0x std::remove_cv. More...

`#include <_concurrent_queue_impl.h>`

Collaboration diagram for tbb::strict_ppl::internal::tbb_remove_cv< T >:

## Public Types

typedef T | type

## Detailed Description

### template<typename T>
struct tbb::strict_ppl::internal::tbb_remove_cv< T >

Similar to C++0x std::remove_cv.

"tbb_" prefix added to avoid overload confusion with C++0x implementations.

Definition at line 739 of file _concurrent_queue_impl.h.

## Member Typedef Documentation

## type

template<typename T >

typedef T tbb::strict_ppl::internal::tbb_remove_cv< T >::type

Definition at line 739 of file _concurrent_queue_impl.h.

The documentation for this struct was generated from the following file:

- _concurrent_queue_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.